## com.saxonica.codegen
Class FloatValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.FloatValueCompiler

    public class FloatValueCompiler

extends ValueCompiler

The class generates Java code to implement an XPath xs:float literal

Constructor Summary
`FloatValueCompiler()`

Method Summary
`String` `compileToEffectiveBooleanValue(CompilerService compiler, Value expr, ReturnAction result)`
`String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatValueCompiler

    public FloatValueCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public String compileToEffectiveBooleanValue(CompilerService compiler,
                                                 Value expr,
                                                 ReturnAction result)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.